net.sourceforge.pmd.dcd.graph

## Class MethodNode

- java.lang.Object
- - net.sourceforge.pmd.dcd.graph.MemberNode<MethodNode,Method>
  - - net.sourceforge.pmd.dcd.graph.MethodNode

- All Implemented Interfaces:
    Comparable<MethodNode>, NodeVisitorAcceptor

      public class MethodNode
      extends MemberNode<MethodNode,Method>

  Represents a Class Method in a UsageGraph.

- - ### Field Summary

    - ### Fields inherited from class net.sourceforge.pmd.dcd.graph.MemberNode

      `classNode, desc, name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MethodNode(ClassNode classNode, String name, String desc)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `compareTo(MethodNode that)`
    `boolean` | `equals(Object obj)`
    `Method` | `getMember()`

    - ### Methods inherited from class net.sourceforge.pmd.dcd.graph.MemberNode

      `accept, addUse, addUser, equals, equals, getClassNode, getDesc, getName, getUsers, getUses, hashCode, toString, toStringLong`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MethodNode

          public MethodNode(ClassNode classNode,
                    String name,
                    String desc)

  - ### Method Detail

    - #### getMember

          public Method getMember()

      Specified by:
        `getMember` in class `MemberNode<MethodNode,Method>`

    - #### compareTo

          public int compareTo(MethodNode that)

    - #### equals

          public boolean equals(Object obj)

      Specified by:
        `equals` in class `MemberNode<MethodNode,Method>`

Copyright © 2002-2013 InfoEther. All Rights Reserved.